com.holonplatform.core.examples

## Class ExampleQuery

- java.lang.Object
- - com.holonplatform.core.examples.ExampleQuery

-     public class ExampleQuery
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aggregation()`
    `void` | `aggregationFunctions()`
    `void` | `alias()`
    `void` | `beanProjection()`
    `void` | `currentTimeFunctions()`
    `void` | `distinctProjection()`
    `void` | `filter1()`
    `void` | `filter2()`
    `void` | `joins()`
    `void` | `projection2()`
    `void` | `projection3()`
    `void` | `queryDefinition()`
    `void` | `queryResults()`
    `void` | `selectAllProjection()`
    `void` | `sort1()`
    `void` | `sort2()`
    `void` | `stringFunctions()`
    `void` | `subquery1()`
    `void` | `subquery2()`
    `void` | `temporalFunctions()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleQuery

          public ExampleQuery()

  - ### Method Detail

    - #### filter1

          public void filter1()

    - #### filter2

          public void filter2()

    - #### sort1

          public void sort1()

    - #### sort2

          public void sort2()

    - #### aggregationFunctions

          public void aggregationFunctions()

    - #### stringFunctions

          public void stringFunctions()

    - #### currentTimeFunctions

          public void currentTimeFunctions()

    - #### temporalFunctions

          public void temporalFunctions()

    - #### aggregation

          public void aggregation()

    - #### queryDefinition

          public void queryDefinition()

    - #### queryResults

          public void queryResults()

    - #### projection2

          public void projection2()

    - #### projection3

          public void projection3()

    - #### beanProjection

          public void beanProjection()

    - #### selectAllProjection

          public void selectAllProjection()

    - #### distinctProjection

          public void distinctProjection()

    - #### subquery1

          public void subquery1()

    - #### subquery2

          public void subquery2()

    - #### alias

          public void alias()

    - #### joins

          public void joins()

Copyright © 2019 The Holon Platform. All rights reserved.